<script>
import { scaleLinear } from "d3-scale";

import { element, onMount } from "svelte/internal";


  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;
  
  onMount(
    setInterval(()=> {
      index = index -1;
      if (index == -1){
        clearInterval()}
      },1000)
    );

  // Color
  let color = "darkred";
  $: if (index==-1){color = "darkgreen";}


</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each points as p, i}
    <circle cx={p} cy=40 r=10 style="fill: {color}; 
    opacity: {i<index ? 0.3:1}"/>
    {/each}
   
  
    
  </g>
</svg>
